import request from '@/axios'
export default {
  /**
   * 
   * @param {*} data 
   * @returns 
   * 修改用户信息
   */
  editAppUser(data) {
    return request({
      url: '/app/user/edit',
      method: 'post',
      data: data
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取绑定新手机短信
   */
  appcommonsmsbindNew(data) {
    return request({
      url: '/app/common/sms/bindNew',
      method: 'post',
      data: data,
      noToken: true
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 绑定新手机
   */
  appuserbindNewTel(data) {
    return request({
      url: '/app/user/bindNewTel',
      method: 'post',
      data: data
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 修改密码
   */
  appuserupdatePwd(data) {
    return request({
      url: '/app/user/updatePwd',
      method: 'post',
      data: data
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 购物车列表
   */
  cartList(data) {
    return request({
      url: '/base/cart/list',
      method: 'get',
      params: data
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 删除购物车
   */
  cartDelete(data) {
    return request({
      url: '/base/cart/delete/' + data,
      method: 'post'
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取班级
   */
  goodsGradeList(data) {
    return request({
      url: '/grade/grade/list',
      method: 'get',
      params: data
    })
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取省份
   */
  getProvinceList(data) {
    return request({
      url: '/apply/areas/list',
      method: 'get',
      params: data
    })
  },

  
	goodsGradeInfo(data) {
		return request({
			url: '/grade/grade/'+data,
			method: 'get'
		})
	},

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取城市
   */
  getCityList(data) {
    return request({
      url: '/apply/areas/cityList',
      method: 'get',
      params: data
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取考期 
   */
  getExamineList(data) {
    return request({
      url: '/course/examine/list',
      method: 'get',
      params: data
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 加入购物车
   */
  addCart(data) {
    return request({
      url: '/base/cart',
      method: 'post',
      data: data
    })
  },

  /**
   * @param {Object} data
   * 查看锁定状态
   */
  lockLockStatus(data) {
    return request({
      url: '/lock/lockStatus',
      method: 'post',
      data: data,
    })
  },

  lockLockAction(data) {
		return request({
			url: '/lock/lockAction',
			method: 'post',
			data: data
		})
	},

  getApplysubscribe(data) {
		return request({
			url: '/apply/subscribe',
			method: 'get',
			params: data
		})
	},

  courseperiodrebuild(data) {
		return request({
			url: '/course/period/rebuild',
			method: 'post',
			data: data
		})
	},

  
	//查询用户拥有商品的学时记录
	getcourseperiodlistGoods(data) {
		return request({
			url: '/course/period/listGoods',
			method: 'get',
			params: data
		})
	},

  /**
	 * @param {Object} data
	 * 查询用户证书列表
	 */
	getUserCertificateList(data) {
		return request({
			url: '/user/certificate/list',
			method: 'get',
			params: data
		})
	},

  /**
	 * @param {Object} data
	 * 生成订单
	 */
   orderPlacePcOrder(data) {
		return request({
			url: '/order/placePcOrder',
			method: 'POST',
			data: data
		})
	},

  //查询通知学员列表
	getappinformUserlist(data) {
		return request({
			url: '/app/informUser/list',
			method: 'get',
			params: data
		})
	},
  
  //获取通知学员详细信息
	getappinformUserId(data) {
		return request({
			url: '/app/informUser/' + data,
			method: 'get',
		})
	},

  //获取填写资料审核详细信息
	getbaseprofiletpgetInfo(data) {
		return request({
			url: '/base/profile/tp/getInfo',
			method: 'get',
			params: data
		})
	},

  //修改通知学员
	courseappinformUser(data) {
		return request({
			url: '/app/informUser',
			method: 'post',
			data: data
		})
	},

	//标记全部已读
	courseappinformUserupdateAllRead(data) {
		return request({
			url: '/app/informUser/updateAllRead',
			method: 'post',
			data: data
		})
	},

  studyRecord(data) {
		return request({
			url: '/study/record',
			method: 'post',
			data: data
		})
	},

  appInformUserRemoveAll(data) {
		return request({
			url: '/app/informUser/removeAll',
			method: 'post',
			data: data
		})
	},
  
  
	getCollectInfo(data) {
		return request({
			url: '/collect/question/getInfo',
			params:data,
			method: 'get'
		})
	},

  
	collectQuestion(data) {
		return request({
			url: '/collect/question',
			data:data,
			method: 'POST'
		})
	},

  deleteCollectQuestion(data) {
		return request({
			url: '/collect/question/delete/'+data,
			method: 'POST',
		})
	},

  /**
	 * @param {Object} data
	 * 删除锁定行为
	 */
	lockDelLock(data) {
		return request({
			url: '/lock/delLock',
			method: 'post',
			data: data,
		})
	},

  userConfirmInfoDetail(data) {
		return request({
			url: '/user/confirm/info/detail',
			method: 'GET',
			params: data,
		})
	},
 
  userConfirminfo(data) {
    return request({
      url: '/user/confirm/info',
      method: 'post',
      data: data,
    })
  },
  
}